Summary: The routing daemon which maintains routing tables
Name: routed
Version: 0.17
Release: %mkrel 24
License: BSD
Group: System/Servers
URL: ftp://ftp.uk.linux.org/pub/linux/Networking/netkit
Source0: https://ibiblio.org/pub/Linux/system/network/daemons/netkit-routed-%{version}.tar.bz2
Source1: routed.service
Patch0: routed-nonrootbuild.patch
Patch1: routed-BM-fix.patch
Patch2: routed-add-missing-include.patch
Conflicts: gated

%description
The routed routing daemon handles incoming RIP traffic and broadcasts
outgoing RIP traffic about network traffic routes, in order to maintain
current routing tables.  These routing tables are essential for a
networked computer, so that it knows where packets need to be sent.

The routed package should be installed on any networked machine.

%prep
%autosetup -p1 -n netkit-%{name}-%{version}

%build
%set_build_flags

./configure --prefix=%{_prefix} --with-c-compiler=%{__cc}
%__make

%install
mkdir -p %{buildroot}{%{_unitdir},%{_mandir}/man8,%{_sbindir}}
make INSTALLROOT=%{buildroot} install
install -m 0644 %{SOURCE1} %{buildroot}%{_unitdir}/%{name}.service

perl -pi -e "s|/etc/rc.d/init.d|%{_unitdir}|" %{buildroot}%{_unitdir}/%{name}.service
sed "s:sysconfig:%{_sysconfdir}/sysconfig:" -i %{buildroot}%{_unitdir}/%{name}.service

mkdir -p %{buildroot}%{_sysconfdir}
cat > %{buildroot}%{_sysconfdir}/routed << EOF
#This is systemd options file for routed
#Config syntax:
#OPTIONS="-q -g"
EOF

%post
%_post_service %name

%preun
%_preun_service %name

%files
%doc README
%{_sbindir}/*
%{_mandir}/man8/*
%{_unitdir}/%{name}.service
%{_sysconfdir}/routed


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.17-24.mga10
+ Revision: 2222383
- Mageia 10 Mass Rebuild

* Mon Apr 29 2024 daviddavid <daviddavid> 0.17-23.mga10
+ Revision: 2061576
- switch to systemd unit from initscripts

* Tue Apr 02 2024 daviddavid <daviddavid> 0.17-22.mga10
+ Revision: 2053871
- add patch to add missing include <time.h>
- switch to autosetup

* Tue Mar 15 2022 umeabot <umeabot> 0.17-21.mga9
+ Revision: 1792314
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.17-20.mga8
+ Revision: 1516508
- Mageia 8 Mass Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.17-19.mga7
+ Revision: 1300847
- Mageia 7 Mass Rebuild

* Tue Feb 02 2016 umeabot <umeabot> 0.17-18.mga6
+ Revision: 931544
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.17-17.mga5
+ Revision: 741063
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17-16.mga5
+ Revision: 688698
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.17-15.mga4
+ Revision: 518070
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.17-14.mga3
+ Revision: 380426
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 29 2012 colin <colin> 0.17-13.mga2
+ Revision: 234224
- Add LSB headers to initscripts (mga#5262)

* Wed Mar 09 2011 ennael <ennael> 0.17-12.mga1
+ Revision: 66810
- clean spec file
- imported package routed


* Fri Dec 03 2010 Oden Eriksson <oeriksson@mandriva.com> 0.17-12mdv2011.0
+ Revision: 607371
- rebuild

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 0.17-11mdv2010.1
+ Revision: 520210
- rebuilt for 2010.1

* Thu Sep 03 2009 Christophe Fergeau <cfergeau@mandriva.com> 0.17-10mdv2010.0
+ Revision: 426958
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 0.17-9mdv2009.0
+ Revision: 225325
- rebuild
- fix no-buildroot-tag

* Tue Dec 18 2007 Thierry Vignaud <tv@mandriva.org> 0.17-8mdv2008.1
+ Revision: 131813
- fix prereq & file require
- fix prereq on rpm-helper
- kill re-definition of %%buildroot on Pixel's request
- fix summary-ended-with-dot

* Thu Jun 28 2007 Andreas Hasenack <andreas@mandriva.com> 0.17-8mdv2008.0
+ Revision: 45573
- rebuild with new serverbuild macro (-fstack-protector-all)


* Sun Jan 28 2007 Olivier Thauvin <nanardon@mandriva.org> 0.17-7mdv2007.0
+ Revision: 114740
- mkrel

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 0.17-6mdk
- Rebuild

